<raamCard>
  <div class="repoCardBody" fxLayout="column">
    <span class="raamHintText repoTitle">{{repo ? repo.name : name }}</span>
    <div fxLayout="row" fxLayoutAlign="center center">
      <span class="raamHintText" fxFlex>DB:</span>
      <span *ngIf="repo" class="fa fa-check" style="color: green"></span>
      <span *ngIf="!repo" class="fa fa-times" style="color: red"></span>
    </div>
    <div fxLayout="row" fxLayoutAlign="center center">
      <span class="raamHintText" fxFlex>Git:</span>
      <span *ngIf="name" class="fa fa-check" style="color: green"></span>
      <span *ngIf="!name" class="fa fa-times" style="color: red"></span>
    </div>
    <div fxLayout="column" fxLayoutAlign="end end" fxFlex>
      <button *ngIf="!name" class="btn btn-sm btn-outline-primary" (click)="gitClone()">
        Clone
      </button>
      <button *ngIf="repo" class="btn btn-sm btn-outline-primary" (click)="gitGetOneRepo(repo.name)" fxFlexOffset="5">
        Select
      </button>
    </div>
  </div>
</raamCard>

<credentialsModal #credentialModal (finished)="realGitGet(repo.name)"></credentialsModal>
